<div [ngSwitch]="alerta">
  <div *ngSwitchCase="'success'">success</div>
  <div *ngSwitchCase="'info'">info</div>
  <div *ngSwitchCase="'warning'">warning</div>
  <div *ngSwitchDefault>Danger</div>
</div>

<div class="form-group">
  <label for="tipo_alerta">Tipo de alerta</label>
  <input
    [(ngModel)]="alerta"
    type="text"
    class="form-control"
    name="tipo_alerta" id="tipo_alerta"
    placeholder="Tipo de alerta">
</div>

<div [ngSwitch]="alerta">
  <div *ngSwitchCase="'success'" class="alert alert-success" role="alert">
    A simple success alert—check it out!
  </div>
  <div *ngSwitchCase="'warning'" class="alert alert-warning" role="alert">
    A simple warning alert—check it out!
  </div>
  <div *ngSwitchCase="'info'" class="alert alert-info" role="alert">
    A simple info alert—check it out!
  </div>
  <div *ngSwitchDefault class="alert alert-danger" role="alert">
    A simple danger alert—check it out!
  </div>
</div>
